Subject: Re: [RFC PATCH 0/4] Remove some e300/MPC83xx evaluation platforms

From: Paul Gortmaker <[email-masked]>
Date: Sat, 25 Feb 2023 11:50:53 -0500

[RE: [RFC PATCH 0/4] Remove some e300/MPC83xx evaluation platforms] On 24/02/2023 (Fri 21:16) Leo Li wrote:

> 
> 
> > -----Original Message-----
> > From: Paul Gortmaker <[email-masked]>
> > Sent: Monday, February 20, 2023 5:59 AM
> > To: [email-masked]
> > Cc: Leo Li <[email-masked]>; Claudiu Manoil <[email-masked]>;
> > Paul Gortmaker <[email-masked]>; Scott Wood
> > <[email-masked]>; Michael Ellerman <[email-masked]>; Benjamin
> > Herrenschmidt <[email-masked]>; Paul Mackerras
> > <[email-masked]>
> > Subject: [RFC PATCH 0/4] Remove some e300/MPC83xx evaluation platforms
> > 
> > [This RFC is proposed for v6.4 and hence is based off linux-next.]
> > 
> > This series removes support for four e300 (MPC83xx) Freescale processor
> > family evaluation boards that were added to the kernel in the 2006 era.
> 
> Hi Paul,
> 
> I talked with our marketing team on this.  Although we do not recommend any new design with these SoCs, they are still being shipped in large amount to customers now.  Plus it is possible for the bigger amount of existing devices to be updating their software that includes a new kernel.  So we should definitely keep all the common SoC code that might be needed to support their own design.

Thanks for confirming with your marketing team that they "do not
recommend any new design with these SoCs" -- it also confirms the
information I read on the web pages for the platforms.

As those of us immersed in this world all know from the 101 basics of
Product Life Cycle lessons, it doesn't matter if it is a phone or a
set-top-box/PVR or whatever else kind of non-PC consumer device --
kernel uprevs never happen in that product space.

So with the best interests of the mainline kernel in mind, I think we
are good to proceed with this for summer 2023.  And of course as I've
said many times before - the kernel is in git, so really you can't
delete anything anyway - it remains in history forever.

Thanks,
Paul.
--

> 
> > 
> > These boards were all of a very similar form factor, a largish PCI or PCI-X card
> > that could also be used standalone with an external power brick, and all
> > shared the Modular Development System (MDS) designation.
> > 
> > These platforms were made in limited quantity and were generally designed
> > to get early silicon into the hands of OEMs who would later develop their
> > own boards/platforms.  As such, availability was limited to those who would
> > be working on boards and/or BSP support.
> > 
> > Many early revision MDS platforms used a mechanical clamping system to
> > hold the BGA CPU in place to facilitate CPU updates -- something not
> > normally possible for a soldered down BGA in a COTS system.
> > 
> > The point of these details is to give context that reflects that these four
> > boards were made in limited quantities, were not in a form factor that is
> > really "hobbyist" friendly and hence make sense for removal 17 years later.
> 
> We would agree with you that the MDS platforms are only used by a limited number of customers for evaluation purpose, so it should be fine to be removed.  So for this series:
> 
> Acked-by: Li Yang <[email-masked]>
> 
> > 
> > Here, we remove the MPC8548E-MDS[1], the MPC8360E-MDS[2], the
> > MPC837xE-MDS[3], and the MPC832x-MDS[4] board support from the kernel.
> > 
> > There will still exist several e300 Freescale Reference Design System (RDS)
> > boards[5] and mini-ITX boards[6] with support in the kernel.  While these
> > were more of a COTS "ready to deploy" design more suited to hobbyists, it
> > probably makes sense to consider removing these as well, based on age.
> 
> These boards are mass market boards that sold in larger amount and are much more likely to still be used.  We would suggest we keep them for now.
> 
> > 
> > But before we get to that, lets see how this goes -- and then we should look
> > at similar early e500 evaluation platforms [MPC8540-ADS, etc] next, as the
> > oldest there date back to 2002[7] -- before considering RDB/mITX.
> > 
> > I intentionally didn't put any links in the commits, since as we all know, they
> > tend not to be stable long term, so keep them here in the merge data.
> > Credit to NXP for keeping around these old legacy docs this long!
> > 
> > Paul.
> > 
> > --
> > 
> > [1]
> > https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww
> > .nxp.com%2Fdesign%2Fqoriq-developer-resources%2Fmpc8349e-modular-
> > development-
> > system%3AMPC8349EMDS&data=05%7C01%7Cleoyang.li%40nxp.com%7Ca2
> > 820c1e442640c5a39108db1339fd9f%7C686ea1d3bc2b4c6fa92cd99c5c301635%
> > 7C0%7C1%7C638124912025220501%7CUnknown%7CTWFpbGZsb3d8eyJWIjoi
> > MC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C300
> > 0%7C%7C%7C&sdata=Q4COgwpjsE4mHXvl9HdGo3otPCYML3z%2FR6IoCEYRE
> > wg%3D&reserved=0
> > [2]
> > https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww
> > .nxp.com%2Fdocs%2Fen%2Fuser-
> > guide%2FMPC8360EMDSUM.pdf&data=05%7C01%7Cleoyang.li%40nxp.com
> > %7Ca2820c1e442640c5a39108db1339fd9f%7C686ea1d3bc2b4c6fa92cd99c5c30
> > 1635%7C0%7C1%7C638124912025220501%7CUnknown%7CTWFpbGZsb3d8ey
> > JWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%
> > 7C3000%7C%7C%7C&sdata=JyLT0MfGAHQ8a%2FNgpLdVFtyACkwPR%2FOkB
> > yN1aW0wySs%3D&reserved=0
> > [3]
> > https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww
> > .nxp.com%2Fproducts%2Fprocessors-and-microcontrollers%2Flegacy-mpu-
> > mcus%2Fpowerquicc-processors%2Fpowerquicc-iii-mpc85xx%2Fmpc837xe-
> > modular-development-
> > system%3AMPC837XEMDS&data=05%7C01%7Cleoyang.li%40nxp.com%7Ca2
> > 820c1e442640c5a39108db1339fd9f%7C686ea1d3bc2b4c6fa92cd99c5c301635%
> > 7C0%7C1%7C638124912025220501%7CUnknown%7CTWFpbGZsb3d8eyJWIjoi
> > MC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C300
> > 0%7C%7C%7C&sdata=052dpEEcGmbuhRLnMDCNoOkTeguF%2BPA0oJGNvV1
> > jSjI%3D&reserved=0
> > [4]
> > https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww
> > .nxp.com%2Fproducts%2Fprocessors-and-microcontrollers%2Flegacy-mpu-
> > mcus%2Fpowerquicc-processors%2Fpowerquicc-ii-pro-mpc83xx%2Flow-
> > power-powerquicc-ii-pro-processor-with-ddr2-tdm-pci-security-usb-quicc-
> > engine-with-
> > utopia%3AMPC8323E&data=05%7C01%7Cleoyang.li%40nxp.com%7Ca2820c1
> > e442640c5a39108db1339fd9f%7C686ea1d3bc2b4c6fa92cd99c5c301635%7C0%
> > 7C1%7C638124912025220501%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4
> > wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000%7
> > C%7C%7C&sdata=mZQh%2FogNgNUb0wNJV972kYIDvn61gx0TWNd1u1d7PZ
> > Q%3D&reserved=0
> > [5]
> > https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww
> > .nxp.com%2Fdocs%2Fen%2Ffact-
> > sheet%2FMPC8379ERDBFS.pdf&data=05%7C01%7Cleoyang.li%40nxp.com%7
> > Ca2820c1e442640c5a39108db1339fd9f%7C686ea1d3bc2b4c6fa92cd99c5c3016
> > 35%7C0%7C1%7C638124912025220501%7CUnknown%7CTWFpbGZsb3d8eyJ
> > WIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%
> > 7C3000%7C%7C%7C&sdata=EJmP6Regr7zpvYvHUmX64h3LZSaBT3Mb1h%2BN
> > KQT%2FUls%3D&reserved=0
> > [6]
> > https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww
> > .digikey.ca%2Fen%2Fproducts%2Fdetail%2Fnxp-usa-inc%2FMPC8349E-MITX-
> > GP%2F1204733&data=05%7C01%7Cleoyang.li%40nxp.com%7Ca2820c1e44264
> > 0c5a39108db1339fd9f%7C686ea1d3bc2b4c6fa92cd99c5c301635%7C0%7C1%7
> > C638124912025220501%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAw
> > MDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000%7C%7C%
> > 7C&sdata=hw6IQDUaXH6huQFCnCkFIbNfj1xMrq%2FanDMUU%2FXZYQg%3
> > D&reserved=0
> > [7]
> > https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww
> > .nxp.com%2Fdocs%2Fen%2Freference-
> > manual%2FMPC8560ADSUG.pdf&data=05%7C01%7Cleoyang.li%40nxp.com%
> > 7Ca2820c1e442640c5a39108db1339fd9f%7C686ea1d3bc2b4c6fa92cd99c5c301
> > 635%7C0%7C1%7C638124912025220501%7CUnknown%7CTWFpbGZsb3d8eyJ
> > WIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%
> > 7C3000%7C%7C%7C&sdata=Ed%2BZR07y9Sp8xx5H47SAXzk9ET73creygxk%2B
> > emmbfuA%3D&reserved=0
> > 
> > Cc: Scott Wood <[email-masked]>
> > Cc: Michael Ellerman <[email-masked]>
> > Cc: Benjamin Herrenschmidt <[email-masked]>
> > Cc: Paul Mackerras <[email-masked]>
> > Cc: Li Yang <[email-masked]>
> > Cc: Claudiu Manoil <[email-masked]>
> > 
> > ---
> > 
> > Paul Gortmaker (4):
> >   powerpc: drop MPC834x_MDS platform support
> >   powerpc: drop MPC836x_MDS platform support
> >   powerpc: drop MPC837x_MDS platform support
> >   powerpc: drop MPC832x_MDS platform support
> > 
> >  arch/powerpc/boot/Makefile                    |   1 -
> >  arch/powerpc/boot/dts/mpc832x_mds.dts         | 436 ---------------
> >  arch/powerpc/boot/dts/mpc834x_mds.dts         | 403 --------------
> >  arch/powerpc/boot/dts/mpc836x_mds.dts         | 481 -----------------
> >  arch/powerpc/boot/dts/mpc8377_mds.dts         | 505 ------------------
> >  arch/powerpc/boot/dts/mpc8378_mds.dts         | 489 -----------------
> >  arch/powerpc/boot/dts/mpc8379_mds.dts         | 455 ----------------
> >  .../configs/83xx/mpc832x_mds_defconfig        |  59 --
> >  .../configs/83xx/mpc834x_mds_defconfig        |  58 --
> >  .../configs/83xx/mpc836x_mds_defconfig        |  64 ---
> >  .../configs/83xx/mpc837x_mds_defconfig        |  58 --
> >  arch/powerpc/configs/mpc83xx_defconfig        |   4 -
> >  arch/powerpc/configs/ppc6xx_defconfig         |   4 -
> >  arch/powerpc/platforms/83xx/Kconfig           |  32 --
> >  arch/powerpc/platforms/83xx/Makefile          |   4 -
> >  arch/powerpc/platforms/83xx/mpc832x_mds.c     | 110 ----
> >  arch/powerpc/platforms/83xx/mpc834x_mds.c     | 101 ----
> >  arch/powerpc/platforms/83xx/mpc836x_mds.c     | 210 --------
> >  arch/powerpc/platforms/83xx/mpc837x_mds.c     | 103 ----
> >  19 files changed, 3577 deletions(-)
> >  delete mode 100644 arch/powerpc/boot/dts/mpc832x_mds.dts
> >  delete mode 100644 arch/powerpc/boot/dts/mpc834x_mds.dts
> >  delete mode 100644 arch/powerpc/boot/dts/mpc836x_mds.dts
> >  delete mode 100644 arch/powerpc/boot/dts/mpc8377_mds.dts
> >  delete mode 100644 arch/powerpc/boot/dts/mpc8378_mds.dts
> >  delete mode 100644 arch/powerpc/boot/dts/mpc8379_mds.dts
> >  delete mode 100644 arch/powerpc/configs/83xx/mpc832x_mds_defconfig
> >  delete mode 100644 arch/powerpc/configs/83xx/mpc834x_mds_defconfig
> >  delete mode 100644 arch/powerpc/configs/83xx/mpc836x_mds_defconfig
> >  delete mode 100644 arch/powerpc/configs/83xx/mpc837x_mds_defconfig
> >  delete mode 100644 arch/powerpc/platforms/83xx/mpc832x_mds.c
> >  delete mode 100644 arch/powerpc/platforms/83xx/mpc834x_mds.c
> >  delete mode 100644 arch/powerpc/platforms/83xx/mpc836x_mds.c
> >  delete mode 100644 arch/powerpc/platforms/83xx/mpc837x_mds.c
> > 
> > --
> > 2.17.1
>